# class EOFError

#### package openfl.errors

#### extends IOError › Error

Available on all platforms

An EOFError exception is thrown when you attempt to read past the end of the available data. For example, an EOFError is thrown when one of the read methods in the IDataInput interface is called and there is insufficient data to satisfy the read request.

### Constructor

###

`new (?message:String, id:Int = 0)`

Creates a new EOFError object.

Parameters:

`message` | A string associated with the error object.

### Inherited Variables

#### Defined by Error

###

`read onlyerrorID:Int`

###

`message:String`

###

`name:String`

### Inherited Methods

#### Defined by Error

###

`getStackTrace ():String`